## r-cran-markdown 0.7.7

=== DESCRIPTION ===
Package: markdown
Type: Package
Title: 'Markdown' Rendering for R
Version: 0.7.7
Date: 2015-04-23
Author: JJ Allaire, Jeffrey Horner, Vicent Marti, and Natacha Porte
Maintainer: Yihui Xie <xie@yihui.name>
Description: Provides R bindings to the 'Sundown' 'Markdown' rendering library
   (https://github.com/vmg/sundown). 'Markdown' is a plain-text formatting
   syntax that can be converted to 'XHTML' or other formats. See
   http://en.wikipedia.org/wiki/Markdown for more information about 'Markdown'.
Depends: R (>= 2.11.1)
Imports: mime (>= 0.3)
Suggests: knitr, RCurl
License: GPL-2
URL: https://github.com/rstudio/markdown
BugReports: https://github.com/rstudio/markdown/issues
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2015-04-22 15:26:12 UTC; yihui
Repository: CRAN
Date/Publication: 2015-04-22 22:33:46

=== debian/changelog ===
r-cran-markdown (0.7.7-1) unstable; urgency=low

  * Initial release. Closes: #813481

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 03 May 2016 21:25:01 +0200

=== debian/control ===
Source: r-cran-markdown
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               r-base-dev,
               r-cran-mime,
               cdbs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-markdown.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-markdown.git
Homepage: https://cran.r-project.org/web/packages/markdown/

Package: r-cran-markdown
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         libjs-mathjax,
         r-cran-mime,
Description: GNU R package providing R bindings to the Sundown Markdown rendering library
 Provides R bindings to the Sundown Markdown rendering library by
 Vicent Marti
 e.a., based upon work by Natacha Porté. Markdown is a plain-text
     formatting syntax that can be converted to XHTML or other formats.
 .
 The R function `markdownToHTML` renders a markdown file to HTML. Options
 controlling HTML output and supported markdown extensions can be
 optionally specified.
 .
 The package also exports the underlying Sundown C extension API which
 enables creating and calling custom renderers using the
 `renderMarkdown` function.
 .
 Please note: the rmarkdown package (with leading r) converts R Markdown
 documents into even more formats, by using pandoc; the CRAN rmarkdown
 package is a newer and enhanced version of this markdown package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Use hardening flags for linking
include /usr/share/dpkg/buildflags.mk

include /usr/share/R/debian/r-cran.mk

common-install-arch::
	rm -vf $(debRlib)/$(cranNameOrig)/NEWS

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/markdown_([-\d\.]*)\.tar.gz

## r-cran-markdown 0.8

=== DESCRIPTION ===
Package: markdown
Type: Package
Title: 'Markdown' Rendering for R
Version: 0.8
Date: 2017-04-20
Authors@R: c(
   person("JJ", "Allaire", role = "aut"),
   person("Jeffrey", "Horner", role = "aut"),
   person("Henrik", "Bengtsson", role = "ctb"),
   person("Jim", "Hester", role = "ctb"),
   person("Yixuan", "Qiu", role = "ctb"),
   person("Kohske", "Takahashi", role = "ctb"),
   person("Adam", "November", role = "ctb"),
   person("Nacho", "Caballero", role = "ctb"),
   person("Jeroen", "Ooms", role = "ctb"),
   person("Thomas", "Leeper", role = "ctb"),
   person("Joe", "Cheng", role = "ctb"),
   person("Andrzej", "Oles", role = "ctb"),
   person("Vicent", "Marti", role = c("aut", "cph"), comment = "The Sundown library"),
   person("Natacha", "Porte", role = c("aut", "cph"), comment = "The Sundown library"),
   person(family = "RStudio", role = "cph"),
   person("Yihui", "Xie", role = c("cre", "ctb"), email = "xie@yihui.name")
   )
Description: Provides R bindings to the 'Sundown' 'Markdown' rendering library
    (https://github.com/vmg/sundown). 'Markdown' is a plain-text formatting
    syntax that can be converted to 'XHTML' or other formats. See
    http://en.wikipedia.org/wiki/Markdown for more information about 'Markdown'.
Depends: R (>= 2.11.1)
Imports: utils, mime (>= 0.3)
Suggests: knitr, RCurl
License: GPL-2
URL: https://github.com/rstudio/markdown
BugReports: https://github.com/rstudio/markdown/issues
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-04-19 20:14:01 UTC; yihui
Author: JJ Allaire [aut],
  Jeffrey Horner [aut],
  Henrik Bengtsson [ctb],
  Jim Hester [ctb],
  Yixuan Qiu [ctb],
  Kohske Takahashi [ctb],
  Adam November [ctb],
  Nacho Caballero [ctb],
  Jeroen Ooms [ctb],
  Thomas Leeper [ctb],
  Joe Cheng [ctb],
  Andrzej Oles [ctb],
  Vicent Marti [aut, cph] (The Sundown library),
  Natacha Porte [aut, cph] (The Sundown library),
  RStudio [cph],
  Yihui Xie [cre, ctb]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2017-04-20 09:07:54 UTC

=== debian/changelog ===
r-cran-markdown (0.8-1ubuntu1) bionic; urgency=medium

  * Skip tests which have no saved results

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 15 Nov 2017 10:35:53 +0000

r-cran-markdown (0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Secure URI in watch file
  * Add missing copyright statements
  * debhelper 10
  * Convert packaging from cdbs to dh-r
  * Standards-Version: 4.1.1
  * Canonical homepage for CRAN packages
  * Replace URL to Rlogo.jpg by local copy

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 10:44:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: r-cran-markdown
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               r-base-dev,
-               r-cran-mime,
-               cdbs
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10),
+               dh-r,
+               r-cran-mime
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-markdown.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-markdown.git
-Homepage: https://cran.r-project.org/web/packages/markdown/
+Homepage: https://cran.r-project.org/package=markdown
 
 Package: r-cran-markdown
 Architecture: any
 Depends: ${shlibs:Depends},
          ${R:Depends},
-         libjs-mathjax,
-         r-cran-mime,
+         ${misc:Depends},
+         libjs-mathjax
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R package providing R bindings to the Sundown Markdown rendering library
  Provides R bindings to the Sundown Markdown rendering library by
  Vicent Marti

=== debian/watch ===
version=4
opts="uversionmangle=s/-/\./" \
	    https://cran.r-project.org/src/contrib/markdown_([-\d\.]*)\.tar.gz

## r-cran-markdown 0.8+dfsg

=== debian/changelog ===
r-cran-markdown (0.8+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Graham Inggs ]
  * Skip tests which have no saved results

  [ Andreas Tille ]
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Remove autogenerated HTML docs since it is including compressed JS
  * Lintian override for html with autogenerated JS which is part of
    the code and can not simply be removed
  * Fix privacy breach issue by sed instead of quilt patch

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 12:12:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: r-cran-markdown
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
+               r-base-dev,
                r-cran-mime
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-markdown.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-markdown.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markdown
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markdown.git
 Homepage: https://cran.r-project.org/package=markdown
 
 Package: r-cran-markdown
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${R:Depends},
+Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends},
+# <dh-update-R>do not delete this</dh-update-R>
          libjs-mathjax
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-markdown 0.9+dfsg

=== DESCRIPTION ===
Package: markdown
Type: Package
Title: 'Markdown' Rendering for R
Version: 0.9
Authors@R: c(
   person("JJ", "Allaire", role = "aut"),
   person("Jeffrey", "Horner", role = "aut"),
   person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
   person("Henrik", "Bengtsson", role = "ctb"),
   person("Jim", "Hester", role = "ctb"),
   person("Yixuan", "Qiu", role = "ctb"),
   person("Kohske", "Takahashi", role = "ctb"),
   person("Adam", "November", role = "ctb"),
   person("Nacho", "Caballero", role = "ctb"),
   person("Jeroen", "Ooms", role = "ctb"),
   person("Thomas", "Leeper", role = "ctb"),
   person("Joe", "Cheng", role = "ctb"),
   person("Andrzej", "Oles", role = "ctb"),
   person("Vicent", "Marti", role = c("aut", "cph"), comment = "The Sundown library"),
   person("Natacha", "Porte", role = c("aut", "cph"), comment = "The Sundown library"),
   person(family = "RStudio", role = "cph")
   )
Description: Provides R bindings to the 'Sundown' 'Markdown' rendering library
    (<https://github.com/vmg/sundown>). 'Markdown' is a plain-text formatting
    syntax that can be converted to 'XHTML' or other formats. See
    <http://en.wikipedia.org/wiki/Markdown> for more information about 'Markdown'.
Depends: R (>= 2.11.1)
Imports: utils, mime (>= 0.3)
Suggests: knitr, RCurl
License: GPL-2
URL: https://github.com/rstudio/markdown
BugReports: https://github.com/rstudio/markdown/issues
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-12-06 16:24:51 UTC; yihui
Author: JJ Allaire [aut],
  Jeffrey Horner [aut],
  Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Henrik Bengtsson [ctb],
  Jim Hester [ctb],
  Yixuan Qiu [ctb],
  Kohske Takahashi [ctb],
  Adam November [ctb],
  Nacho Caballero [ctb],
  Jeroen Ooms [ctb],
  Thomas Leeper [ctb],
  Joe Cheng [ctb],
  Andrzej Oles [ctb],
  Vicent Marti [aut, cph] (The Sundown library),
  Natacha Porte [aut, cph] (The Sundown library),
  RStudio [cph]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2018-12-07 00:50:11 UTC

=== debian/changelog ===
r-cran-markdown (0.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 10 Dec 2018 11:54:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-r,
                r-base-dev,
                r-cran-mime
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markdown
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markdown.git
 Homepage: https://cran.r-project.org/package=markdown
@@ -16,9 +16,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-# <dh-update-R>do not delete this</dh-update-R>
-         libjs-mathjax
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R package providing R bindings to the Sundown Markdown rendering library

## r-cran-markdown 1.0+dfsg

=== debian/changelog ===
r-cran-markdown (1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 11:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-mime
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markdown
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markdown.git
 Homepage: https://cran.r-project.org/package=markdown

## r-cran-markdown 1.1%2Bdfsg

=== debian/changelog ===
r-cran-markdown (1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * dh-update-R to update Build-Depends
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Aug 2019 11:08:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
+               r-cran-xfun,
                r-cran-mime
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markdown

## r-cran-markdown 1.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: markdown
 Type: Package
-Title: 'Markdown' Rendering for R
-Version: 0.9
+Title: Render Markdown with the C Library 'Sundown'
+Version: 1.1
 Authors@R: c(
    person("JJ", "Allaire", role = "aut"),
    person("Jeffrey", "Horner", role = "aut"),
@@ -20,20 +20,21 @@
    person("Natacha", "Porte", role = c("aut", "cph"), comment = "The Sundown library"),
    person(family = "RStudio", role = "cph")
    )
-Description: Provides R bindings to the 'Sundown' 'Markdown' rendering library
-    (<https://github.com/vmg/sundown>). 'Markdown' is a plain-text formatting
+Description: Provides R bindings to the 'Sundown' Markdown rendering library
+    (<https://github.com/vmg/sundown>). Markdown is a plain-text formatting
     syntax that can be converted to 'XHTML' or other formats. See
-    <http://en.wikipedia.org/wiki/Markdown> for more information about 'Markdown'.
+    <http://en.wikipedia.org/wiki/Markdown> for more information about Markdown.
 Depends: R (>= 2.11.1)
-Imports: utils, mime (>= 0.3)
+Imports: utils, xfun, mime (>= 0.3)
 Suggests: knitr, RCurl
 License: GPL-2
 URL: https://github.com/rstudio/markdown
 BugReports: https://github.com/rstudio/markdown/issues
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.1
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2018-12-06 16:24:51 UTC; yihui
+Packaged: 2019-08-07 15:59:28 UTC; yihui
 Author: JJ Allaire [aut],
   Jeffrey Horner [aut],
   Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
@@ -52,4 +53,4 @@
   RStudio [cph]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2018-12-07 00:50:11 UTC
+Date/Publication: 2019-08-07 16:30:02 UTC

=== debian/changelog ===
r-cran-markdown (1.1+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:17:05 +0000

## r-cran-markdown 1.4+dfsg

=== debian/changelog ===
r-cran-markdown (1.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Make autopkgtest more robust

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2022 16:42:36 +0100

r-cran-markdown (1.3+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Disable reprotest
  * dh-update-R to update Build-Depends (routine-update)
  * Enhance mathjax replacement to avoid privacy-breach-uses-embedded-file
  * Architecture: all
  * Remove some removed files from d/copyright

  [ Nilesh Patra ]
  * Use en_US.utf8 locale to fixup autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Nov 2022 18:44:08 +0530

r-cran-markdown (1.2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Tue, 25 Oct 2022 10:09:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-commonmark,
                r-cran-xfun,
                r-cran-mime
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markdown
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markdown.git
 Homepage: https://cran.r-project.org/package=markdown
+Rules-Requires-Root: no
 
 Package: r-cran-markdown
-Architecture: any
+Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-markdown 1.5+dfsg

=== DESCRIPTION ===
Package: markdown
Type: Package
Title: Render Markdown with 'commonmark'
Version: 1.5
Authors@R: c(
   person("JJ", "Allaire", role = "aut"),
   person("Jeffrey", "Horner", role = "aut"),
   person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
   person("Henrik", "Bengtsson", role = "ctb"),
   person("Jim", "Hester", role = "ctb"),
   person("Yixuan", "Qiu", role = "ctb"),
   person("Kohske", "Takahashi", role = "ctb"),
   person("Adam", "November", role = "ctb"),
   person("Nacho", "Caballero", role = "ctb"),
   person("Jeroen", "Ooms", role = "ctb"),
   person("Thomas", "Leeper", role = "ctb"),
   person("Joe", "Cheng", role = "ctb"),
   person("Andrzej", "Oles", role = "ctb"),
   person(family = "RStudio", role = "cph")
   )
Description: Render Markdown to full HTML documents with the 'commonmark'
    package. Markdown is a plain-text formatting
    syntax that can be converted to 'XHTML' or other formats. See
    <https://en.wikipedia.org/wiki/Markdown> for more information about Markdown.
Depends: R (>= 2.11.1)
Imports: utils, commonmark, xfun (>= 0.35)
Suggests: knitr, rmarkdown (>= 2.18), yaml, RCurl
License: GPL-2
URL: https://github.com/rstudio/markdown
BugReports: https://github.com/rstudio/markdown/issues
VignetteBuilder: knitr
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-01-31 15:34:10 UTC; yihui
Author: JJ Allaire [aut],
  Jeffrey Horner [aut],
  Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  Henrik Bengtsson [ctb],
  Jim Hester [ctb],
  Yixuan Qiu [ctb],
  Kohske Takahashi [ctb],
  Adam November [ctb],
  Nacho Caballero [ctb],
  Jeroen Ooms [ctb],
  Thomas Leeper [ctb],
  Joe Cheng [ctb],
  Andrzej Oles [ctb],
  RStudio [cph]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2023-01-31 17:20:05 UTC

=== debian/changelog ===
r-cran-markdown (1.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 13:43:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: r-cran-markdown
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markdown
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markdown.git
+Homepage: https://cran.r-project.org/package=markdown
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-commonmark,
-               r-cran-xfun,
-               r-cran-mime
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markdown
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markdown.git
-Homepage: https://cran.r-project.org/package=markdown
-Rules-Requires-Root: no
+               r-cran-xfun (>= 0.35)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-markdown
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libjs-mathjax
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R package providing R bindings to the Sundown Markdown rendering library

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, locales
Restrictions: allow-stderr

## r-cran-markdown 1.7+dfsg

=== debian/changelog ===
r-cran-markdown (1.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 24 Jun 2023 23:39:23 +0200

## r-cran-markdown 1.8+dfsg

=== debian/changelog ===
r-cran-markdown (1.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 31 Aug 2023 19:28:13 +0200

## r-cran-markdown 1.12+dfsg

=== DESCRIPTION ===
Package: markdown
Type: Package
Title: Render Markdown with 'commonmark'
Version: 1.12
Authors@R: c(
   person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
   person("JJ", "Allaire", role = "aut"),
   person("Jeffrey", "Horner", role = "aut"),
   person("Henrik", "Bengtsson", role = "ctb"),
   person("Jim", "Hester", role = "ctb"),
   person("Yixuan", "Qiu", role = "ctb"),
   person("Kohske", "Takahashi", role = "ctb"),
   person("Adam", "November", role = "ctb"),
   person("Nacho", "Caballero", role = "ctb"),
   person("Jeroen", "Ooms", role = "ctb"),
   person("Thomas", "Leeper", role = "ctb"),
   person("Joe", "Cheng", role = "ctb"),
   person("Andrzej", "Oles", role = "ctb"),
   person(given = "Posit Software, PBC", role = c("cph", "fnd"))
   )
Description: Render Markdown to full and lightweight HTML/LaTeX documents with
    the 'commonmark' package. It also supports features that are missing in
    'commonmark', such as raw HTML/LaTeX blocks, LaTeX math, superscripts,
    subscripts, footnotes, element attributes, appendices, and fenced 'Divs'.
    With additional JavaScript and CSS, it can also create HTML slides and
    articles.
Depends: R (>= 2.11.1)
Imports: utils, commonmark (>= 1.9.0), xfun (>= 0.38)
Suggests: knitr, rmarkdown (>= 2.18), yaml, RCurl
License: MIT + file LICENSE
URL: https://github.com/rstudio/markdown
BugReports: https://github.com/rstudio/markdown/issues
VignetteBuilder: knitr
RoxygenNote: 7.2.3
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2023-12-05 14:26:48 UTC; yihui
Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
  JJ Allaire [aut],
  Jeffrey Horner [aut],
  Henrik Bengtsson [ctb],
  Jim Hester [ctb],
  Yixuan Qiu [ctb],
  Kohske Takahashi [ctb],
  Adam November [ctb],
  Nacho Caballero [ctb],
  Jeroen Ooms [ctb],
  Thomas Leeper [ctb],
  Joe Cheng [ctb],
  Andrzej Oles [ctb],
  Posit Software, PBC [cph, fnd]
Maintainer: Yihui Xie <xie@yihui.name>
Repository: CRAN
Date/Publication: 2023-12-06 00:20:02 UTC

=== debian/changelog ===
r-cran-markdown (1.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Drop unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 22:35:03 +0100

r-cran-markdown (1.11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 11:49:29 +0200

r-cran-markdown (1.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 14 Oct 2023 14:23:08 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-commonmark,
-               r-cran-xfun (>= 0.35)
+               r-cran-commonmark (>= 1.9.0),
+               r-cran-xfun (>= 0.38)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-markdown

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R


override_dh_installdocs:
	dh_installdocs
	for html in `find debian -name "*.html"` ; do \
	    sed -i -e 's#https://cdn\..*/mathjax/.*/MathJax.js\(?config=TeX.*L">\)#file:///usr/share/javascript/mathjax/MathJax.js\1#' \
        	   -e 's#https://mathjax\.rstudio.*/MathJax.js\(?config=TeX.*L"\)#file:///usr/share/javascript/mathjax/MathJax.js\1#' \
        	    $${html} ; \
	done

## r-cran-markdown 1.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: markdown
 Type: Package
 Title: Render Markdown with 'commonmark'
-Version: 1.12
+Version: 1.13
 Authors@R: c(
    person("Yihui", "Xie", role = c("aut", "cre"), email = "xie@yihui.name", comment = c(ORCID = "0000-0003-0645-5666")),
    person("JJ", "Allaire", role = "aut"),
@@ -19,22 +19,17 @@
    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
    )
 Description: Render Markdown to full and lightweight HTML/LaTeX documents with
-    the 'commonmark' package. It also supports features that are missing in
-    'commonmark', such as raw HTML/LaTeX blocks, LaTeX math, superscripts,
-    subscripts, footnotes, element attributes, appendices, and fenced 'Divs'.
-    With additional JavaScript and CSS, it can also create HTML slides and
-    articles.
+    the 'commonmark' package. This package has been superseded by 'litedown'.
 Depends: R (>= 2.11.1)
 Imports: utils, commonmark (>= 1.9.0), xfun (>= 0.38)
 Suggests: knitr, rmarkdown (>= 2.18), yaml, RCurl
 License: MIT + file LICENSE
 URL: https://github.com/rstudio/markdown
 BugReports: https://github.com/rstudio/markdown/issues
-VignetteBuilder: knitr
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2023-12-05 14:26:48 UTC; yihui
+Packaged: 2024-06-04 15:36:56 UTC; yihui
 Author: Yihui Xie [aut, cre] (<https://orcid.org/0000-0003-0645-5666>),
   JJ Allaire [aut],
   Jeffrey Horner [aut],
@@ -51,4 +46,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Yihui Xie <xie@yihui.name>
 Repository: CRAN
-Date/Publication: 2023-12-06 00:20:02 UTC
+Date/Publication: 2024-06-04 20:50:02 UTC

=== debian/changelog ===
r-cran-markdown (1.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Document package relicensing in debian/copyright

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 14:27:24 +0900

r-cran-markdown (1.12+dfsg-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 23 Apr 2024 12:00:29 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-markdown
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-markdown.git
 Homepage: https://cran.r-project.org/package=markdown
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown (>= 2.18),
        r-cran-yaml,
        r-cran-rcurl,
        locales
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/markdown_([-\d\.]*)\.tar.gz
